package p04_if;

import java.util.Scanner;

// W tej wersji:
// - próbuję rozróżnić przyczyny odrzucenia bagażu i wypisać odp. informację,
// - ale robię to w oparciu o warunek pozytywny
// → wynikiem jest program o "schodkowej" strukturze - zagnieżdżone ify
//   "else jest daleko od swojego ifa" co zmienjsza czytelność
public class Bagaz2 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		System.out.println("Podaj wymiary bagażu.");
		System.out.print("długość: ");
		double a = scanner.nextDouble();
		System.out.print("szerokość: ");
		double b = scanner.nextDouble();
		System.out.print("wysokość: ");
		double c = scanner.nextDouble();
		double objetosc = a*b*c;
		
		if(a <= 50) {
			if (b <= 50) {
				if (c <= 50) {
					if (objetosc <= 50_000) {
						System.out.println("Bagaż spełnia normę");
					} else {
						System.out.println("Objętość jest zbyt duża");
					}
				} else {
					System.out.println("Wysokość jest zbyt duża");
				}
			} else {
				System.out.println("Szerokość jest zbyt duża");
			}
		} else {
			System.out.println("Długość jest zbyt duża");
		}
	}

}
